/* General Setup */
body,
body * {
    position: relative;
}

body {
    box-sizing: border-box;
    padding: 15px;
}

body::before {
    border-radius: 30px;
    box-sizing: border-box;
    content: " ";
    display: inline-block;
    height: calc(100% - 30px);
    opacity: 0.75;
    position: absolute;
    width: calc(100% - 30px);
}

body.track_box:before {
    background-color: #dddddd;
    border: 1px solid #888888;
}

body.shale_box:before {
    background-color: #ffe4c4;
    border: 1px solid #a0522d;
}

body.grass_box:before {
    background-color: #bfffbf;
    border: 1px solid #009900;
}

body.ice_box:before {
    background-color: #bfefff;
    border: 1px solid #000099;
}

/* Headers */
h1,
h3 {
    font-weight: bold;
    text-align: center;
}

h1:before,
h3:before {
    margin-right: 8px;
    vertical-align: top !important;
}

h1 {
    font-size: 48px;
    height: 48px;
    line-height: 48px;
    margin: 10px 0;
}

h3 {
    font-size: 36px;
    height: 36px;
    line-height: 36px;
    margin: 10px 0;
}

h3:before {
    zoom: 75%;
}

/* Info */
.period {
    font-size: 28px;
    font-style: italic;
    height: 28px;
    line-height: 28px;
    margin-bottom: 8px;
    text-align: right;
    width: calc(100% - 12px);
}

.hashtag {
    bottom: 26px;
    /* stylelint-disable font-family-no-missing-generic-family-keyword */
    font-family: "Punk";
    /* stylelint-enable font-family-no-missing-generic-family-keyword */
    font-size: 36px;
    position: absolute;
    right: 35px;
}

/* Progress Bars */
.progress.bars-3 dt,
.progress.bars-3 dd,
.progress.bars-3 li,
.progress.bars-3 .bar div,
.progress.bars-3 .bar period {
    height: 72px !important;
    line-height: 72px !important;
}

.progress.bars-4 dt,
.progress.bars-4 dd,
.progress.bars-4 li,
.progress.bars-4 .bar div,
.progress.bars-4 .bar period {
    height: 54px !important;
    line-height: 54px !important;
}

.progress dt,
.progress dd,
.progress li {
    font-size: 24px;
}

.progress dt {
    margin-left: 20px;
    width: 200px !important;
}

.progress dd.bar {
    width: calc(100% - 320px) !important;
}

.progress dd.value {
    width: 100px !important;
}

.progress dd.active span.icon:before {
    vertical-align: top !important;
    zoom: 150%;
}

.progress.bars-3 dd.active span.icon:before {
    margin-top: 16px;
}

.progress.bars-4 dd.active span.icon:before {
    margin-top: 10px;
}

/* Leaderboard */
.leaderboards {
    list-style: none;
    margin: 0;
    padding: 0;
}

.leaderboard.grid-1-1 dl {
    margin: 0 10px;
}

.leaderboard.grid-1-2.overall_pos dl {
    margin: 0 5px 0 10px;
}

.leaderboard.grid-1-2.current_pos dl {
    margin: 0 10px 0 5px;
}

.leaderboard dd {
    float: left;
    height: 42px;
    line-height: 42px;
    text-align: center;
}

.leaderboard dd:not(.num-0) {
    margin-top: 4px;
}

.leaderboard .name {
    font-size: 22px;
    overflow: hidden;
    padding: 0 12px;
    text-overflow: ellipsis;
    white-space: nowrap;
    width: calc(100% - 128px);
}

.leaderboard .score {
    font-size: 24px;
    margin-left: 4px;
    width: 100px;
}

/* Preview */
.preview .holder {
    margin: 0 10px;
}

.preview mugshot,
.preview dl {
    float: left;
}

.preview mugshot {
    background-size: cover;
    display: block;
    height: 390px;
    width: 300px;
}

.preview dl {
    margin-left: 10px;
    width: calc(100% - 310px);
}

.preview dt {
    font-size: 38px;
    font-style: italic;
    line-height: 38px;
    text-align: center;
}

.preview dd {
    font-size: 34px;
    line-height: 34px;
    margin-top: 8px;
    text-align: center;
}
